#Arg is replaced with the desired Unity container.
ARG IMAGE=unityci/editor:2023.1.16f1-windows-mono-3
FROM ${IMAGE}

RUN apt-get update
RUN apt-get install -y software-properties-common apt-transport-https wget chromium-browser
RUN add-apt-repository -y ppa:savoury1/chromium
RUN apt-get update && apt-get install -y chromium-browser

#ADD https://minio.studiowhy.net/hackmd/UnityBuilder /usr/local/bin/
COPY UnityBuilder /usr/local/bin/
RUN chmod +x /usr/local/bin/UnityBuilder

COPY entrypoint.sh /
RUN chmod +x /entrypoint.sh

COPY scripts/. /scripts
# Commented out until better image selection is enabled.
# RUN --mount=type=secret,id=SERIAL \
#     --mount=type=secret,id=USERNAME \
#     --mount=type=secret,id=PASSWORD \
#     bash /scripts/activate_license.sh

ENTRYPOINT ["/entrypoint.sh"]
